### Name: acyclic
### Title: Acyclic graph example
### Aliases: acyclic acyclic.data acyclic.DG acyclic.qdg acyclic.qtl
### Keywords: datagen

### ** Examples

## Not run: 
##D ## This reproduces Figure 1 exactly.
##D set.seed(3456789)
##D 
##D tmp <- options(warn=-1)
##D acyclic.DG <- randomDAG(n = 100, prob = 2 / 99)
##D 
##D options(tmp)
##D 
##D ## Simulate cross object using R/qtl routines.
##D n.ind <- 300
##D mymap <- sim.map(len=rep(100,20), n.mar=10, eq.spacing=FALSE, include.x=FALSE)
##D mycross <- sim.cross(map=mymap, n.ind=n.ind, type="f2")
##D summary(mycross)
##D mycross <- sim.geno(mycross,n.draws=1)
##D 
##D ## Produce 100 QTL at three markers apiece.
##D acyclic.qtl <- produce.qtl.sample(cross=mycross,n.phe=100)
##D 
##D ## Generate data from directed graph.
##D bp <- runif(100,0.5,1)
##D stdev <- runif(100,0.1,0.5)
##D bq <- matrix(0,100,3)
##D bq[,1] <- runif(100,0.2,0.4)
##D bq[,2] <- bq[,1]+0.1
##D bq[,3] <- bq[,2]+0.1
##D acyclic.data <- generate.data(cross = mycross, bp = bp, bq = bq,
##D   stdev = stdev, allqtl = acyclic.qtl$allqtl)
##D 
##D acyclic.qdg <- qdgAlgo(cross=acyclic.data, 
##D                 phenotype.names=paste("y",1:100,sep=""),
##D                 marker.names=acyclic.qtl$markers, 
##D                 QTL=acyclic.qtl$allqtl, 
##D                 alpha=0.005, 
##D                 n.qdg.random.starts=1,
##D                 skel.method="pcskel")
##D save(acyclic.DG, acyclic.qtl, acyclic.data, acyclic.qdg,
##D   file = "acyclic.RData", compress = TRUE)
## End(Not run)

data(acyclic)

plot(acyclic.DG)
pc <- pcAlgo(acyclic.data$pheno, alpha = 0.005)
plot(pc)
summary(acyclic.qdg)
plot(acyclic.qdg, simple = TRUE)



